package seamCarving;

public class PixelCoord {
    public int x;
    public int y;

    public PixelCoord(int x, int y) {
        this.x = x;
        this.y = y;
    }
    
    @Override
    public int hashCode() {
        return this.x * 10000 + this.y;
    }
    
    @Override
    public boolean equals(Object other) {
        if (!(other instanceof PixelCoord)) {
            return false;
        }
        PixelCoord otherPC = (PixelCoord)other;
        return (this.x == otherPC.x) && (this.y == otherPC.y);
    }
}
